summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 22:53:07 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-11 22:53:07 +0200
commit2daf63534df8144cf47e47692306e229ebad8e28 (patch)
tree563c4903d6a86e374ef09a5dd499784993e01a6b /audio
parent3c3feabb7c0830cbe07fe777426c3aecb332b583 (diff)
downloadslackbuilds-2daf63534df8144cf47e47692306e229ebad8e28.tar.gz
slackbuilds-2daf63534df8144cf47e47692306e229ebad8e28.tar.xz
audio/Songbird: Added to 12.1 repository
Diffstat (limited to 'audio')
-rw-r--r--audio/Songbird/README22
-rw-r--r--audio/Songbird/Songbird.SlackBuild70
-rw-r--r--audio/Songbird/Songbird.desktop13
-rw-r--r--audio/Songbird/Songbird.info8
-rw-r--r--audio/Songbird/doinst.sh3
-rw-r--r--audio/Songbird/slack-desc19
6 files changed, 135 insertions, 0 deletions
diff --git a/audio/Songbird/README b/audio/Songbird/README
new file mode 100644
index 0000000000..5d4df44480
--- /dev/null
+++ b/audio/Songbird/README
@@ -0,0 +1,22 @@
+Songbird is a desktop media player mashed-up with the Web. Songbird is
+committed to playing the music you want, from the sites you want, on the
+devices you want, challenging the conventions of discovery, purchase,
+consumption and organization of music on the Internet.
+
+Songbird is a player and a platform. Like Firefox, Songbird is an open
+source, Open Web project built on the Mozilla platform. Songbird provides
+a public playground for Web media mash-ups by providing developers with
+both desktop and Web APIs, developer resources and fostering Open Web
+media standards, to wit, an Open Media Web.
+
+Note that this is a binary repackaging (much like mozilla-firefox) and
+not compiled from source.
+
+Note: if songbird has problems reloading the media library after
+upgrading, or refuses to scan for media, backup and delete both
+~/.songbird2 and ~/.gstreamer-10 directories.
+
+Songbird requires the following dependencies: gstreamer, liboil,
+gst-plugins-base, gst-plugins-good, gst-plugins-bad,gst-plugins-ugly.
+The build scripts for all these are available at SlackBuilds.org.
+
diff --git a/audio/Songbird/Songbird.SlackBuild b/audio/Songbird/Songbird.SlackBuild
new file mode 100644
index 0000000000..6471a971d9
--- /dev/null
+++ b/audio/Songbird/Songbird.SlackBuild
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+# Slackware build script for songbird
+# Copyright 2007-2008 Michiel van Wessem, Manchester, United Kingdom
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=Songbird
+VERSION=0.7.0
+ARCH=i686 # Leave this Alone. Precompiled binary
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+# set up the target enviroment and extract Songbird in there
+mkdir -p $PKG/usr/{bin,lib}
+tar xzf $CWD/${PRGNAM}_${VERSION}_linux-${ARCH}.tar.gz -C $PKG/usr/lib
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+( cd $PKG/usr/bin/ ; ln -sf /usr/lib/$PRGNAM/songbird . )
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+( cd $PKG/usr/lib/$PRGNAM
+ mv LICENSE.html README.txt TRADEMARK.txt $PKG/usr/doc/$PRGNAM-$VERSION
+)
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+cp $PKG/usr/lib/$PRGNAM/chrome/icons/default/default.xpm $PKG/usr/share/pixmaps/$PRGNAM.xpm
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
diff --git a/audio/Songbird/Songbird.desktop b/audio/Songbird/Songbird.desktop
new file mode 100644
index 0000000000..f0373f2c4f
--- /dev/null
+++ b/audio/Songbird/Songbird.desktop
@@ -0,0 +1,13 @@
+[Desktop Entry]
+Encoding=UTF-8
+Exec=/usr/bin/songbird
+Icon=/usr/share/pixmaps/Songbird.xpm
+Type=Application
+Categories=Application;AudioVideo;
+Name=Songbird
+GenericName=Media Player
+Comment=Songbird Media Player
+MimeType=text/html
+X-KDE-StartupNotify=true
+
+
diff --git a/audio/Songbird/Songbird.info b/audio/Songbird/Songbird.info
new file mode 100644
index 0000000000..971eae009c
--- /dev/null
+++ b/audio/Songbird/Songbird.info
@@ -0,0 +1,8 @@
+PRGNAM="Songbird"
+VERSION="0.7.0"
+HOMEPAGE="http://www.songbirdnest.com"
+DOWNLOAD="http://download.songbirdnest.com/installer/linux/i686/Songbird_0.7.0_linux-i686.tar.gz"
+MD5SUM="7973e486c52749076ae718ab09f81429"
+MAINTAINER="Michiel van Wessem"
+EMAIL="michiel@slackbuilds.org"
+APPROVED="Erik Hanson"
diff --git a/audio/Songbird/doinst.sh b/audio/Songbird/doinst.sh
new file mode 100644
index 0000000000..140e332222
--- /dev/null
+++ b/audio/Songbird/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications
+fi
diff --git a/audio/Songbird/slack-desc b/audio/Songbird/slack-desc
new file mode 100644
index 0000000000..916e27c7ee
--- /dev/null
+++ b/audio/Songbird/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+Songbird: Songbird (web and mozilla based desktop multimedia player)
+Songbird:
+Songbird: Songbird is a desktop media player mashed-up with the Web. Songbird
+Songbird: is committed to playing the music you want, from the sites you want,
+Songbird: on the devices you want, challenging the conventions of discovery,
+Songbird: purchase, consumption and organization of music on the Internet.
+Songbird:
+Songbird: Homepage: http://www.songbirdnest.com/
+Songbird:
+Songbird:
+Songbird: